package com.junmp.junmpProcess.mapper;

import com.junmp.junmpProcess.dto.UserListDTO;
import io.lettuce.core.dynamic.annotation.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface OrgUserMapper {
    /**
     * 查询所有表单及组
     *
     * @return
     */
    public List<UserListDTO>  QueryUserByRoleId(String roleId,String userId);

    /**
    * @Author: Zhaojw
    * @Description:根据组织机构和角色查找所有相关用户
    * @DateTime: 2023/6/27 13:50
    * @Params:
    * @Return
    */
    public List<UserListDTO>  QueryUserByRoleIdAndOrg(String roleId,String orgId);

    public List<UserListDTO>  QueryUserWithParentOrg(String userId);

    public UserListDTO  QueryUser(String userId);

    public  Boolean UpdateOrder(@Param("orderType") String orderType,@Param("process_id") String processId, @Param("current_assign") String currentAssign);
}
